Name:          libnss_mdns
Version:       0.10
Release:       2mamba
Summary:       A plugin for the GNU Name Service Switch (NSS) functionality providing host name resolution via Multicast DNS 
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://0pointer.de/lennart/projects/nss-mdns/
Source:        http://0pointer.de/lennart/projects/nss-mdns/nss-mdns-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
nss-mdns is a plugin for the GNU Name Service Switch (NSS) functionality of the GNU C Library (glibc) providing host name resolution via Multicast DNS (aka Zeroconf, aka Apple Rendezvous, aka Apple Bonjour), effectively allowing name resolution by common Unix/Linux programs in the ad-hoc mDNS domain .local.

%debug_package

%prep
%setup -q -n nss-mdns-%{version}
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub

%build
%configure \
   --libdir=/%{_lib} \
   --localstatedir=/

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
/%{_lib}/libnss_mdns.so.2
/%{_lib}/libnss_mdns4.so.2
/%{_lib}/libnss_mdns4_minimal.so.2
/%{_lib}/libnss_mdns6.so.2
/%{_lib}/libnss_mdns6_minimal.so.2
/%{_lib}/libnss_mdns_minimal.so.2
%doc LICENSE

%changelog
* Wed Apr 30 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-2mamba
- rebuilt with --libdir=/%{_lib} to refer to avahi socket under /run instead of /var/run
- also install in --prefix=/

* Sat Jul 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-1mamba
- package created by autospec
